"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultOperationRegistrySignature = exports.operationRegistrySignature = void 0;
const utils_dropunuseddefinitions_1 = require("@trevorscheer/utils.dropunuseddefinitions");
const utils_printwithreducedwhitespace_1 = require("@trevorscheer/utils.printwithreducedwhitespace");
const utils_sortast_1 = require("@trevorscheer/utils.sortast");
const utils_stripsensitiveliterals_1 = require("@trevorscheer/utils.stripsensitiveliterals");
function operationRegistrySignature(ast, operationName, options = {
    preserveStringAndNumericLiterals: false,
}) {
    const withoutUnusedDefs = (0, utils_dropunuseddefinitions_1.dropUnusedDefinitions)(ast, operationName);
    const maybeWithLiterals = options.preserveStringAndNumericLiterals
        ? withoutUnusedDefs
        : (0, utils_stripsensitiveliterals_1.stripSensitiveLiterals)(withoutUnusedDefs);
    return (0, utils_printwithreducedwhitespace_1.printWithReducedWhitespace)((0, utils_sortast_1.sortAST)(maybeWithLiterals));
}
exports.operationRegistrySignature = operationRegistrySignature;
function defaultOperationRegistrySignature(ast, operationName) {
    return operationRegistrySignature(ast, operationName, {
        preserveStringAndNumericLiterals: false,
    });
}
exports.defaultOperationRegistrySignature = defaultOperationRegistrySignature;
//# sourceMappingURL=index.js.map